2018-11-19 18:18 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005364Talermechant backendpublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005364: main "lib" test cases fail under Valgrind
DescriptionThis is what they log:

Jun 25 15:09:13-084450 test-merchant-api-new-2403 DEBUG Running command `check_bank_transfer-9.97-10'
Jun 25 15:09:13-084550 test-merchant-api-new-2403 INFO Deposit reference NOT given
Did not find matching transaction!
I have:
2 -> 3 (EUR:9.97) from http://localhost:8081/
I wanted:
269261072 -> 3 (EUR:9.97) from http://localhost:8081/
Jun 25 15:09:13-086364 test-merchant-api-new-2403 ERROR Assertion failed at testing_api_cmd_bank_check.c:168.
Jun 25 15:09:13-087035 test-merchant-api-new-2403 ERROR Failed at command `check_bank_transfer-9.97-10'
Jun 25 15:09:13-089587 test-merchant-api-new-2403 INFO Executing shutdown at `check_bank_transfer-9.97-10'
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013080

Marcello Stanisci (manager)

Fixed at 877f49d; overloading on 'PayState' struct was wrong.
+Notes

-Issue History
Date Modified Username Field Change
2018-06-25 15:11 Marcello Stanisci New Issue
2018-06-25 15:11 Marcello Stanisci Status new => assigned
2018-06-25 15:11 Marcello Stanisci Assigned To => Marcello Stanisci
2018-06-26 11:12 Marcello Stanisci Status assigned => resolved
2018-06-26 11:12 Marcello Stanisci Resolution open => fixed
2018-06-26 11:12 Marcello Stanisci Note Added: 0013080
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
2018-09-15 11:06 Christian Grothoff Target Version => 0.6
+Issue History